javax.xml.transform.dom

## Interface DOMLocator

- All Superinterfaces:
    SourceLocator

      public interface DOMLocator
      extends SourceLocator

  Indicates the position of a node in a source DOM, intended primarily for error reporting. To use a DOMLocator, the receiver of an error must downcast the `SourceLocator` object returned by an exception. A `Transformer` may use this object for purposes other than error reporting, for instance, to indicate the source node that originated a result node.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getOriginatingNode()` Return the node where the event occurred.

    - ### Methods inherited from interface javax.xml.transform.SourceLocator

      `getColumnNumber, getLineNumber, getPublicId, getSystemId`

- - ### Method Detail

    - #### getOriginatingNode

          Node getOriginatingNode()

      Return the node where the event occurred.
      Returns:
        The node that is the location for the event.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.